Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_ATM_Acceptor Class Reference

Defines the member functions for ACE_ATM_Acceptor abstraction. More...

`#include <ATM_Acceptor.h>`

List of all members.

## Public Types
typedef ACE_ATM_Addr | PEER_ADDR
typedef ACE_ATM_Stream | PEER_STREAM
## Public Methods
| ACE_ATM_Acceptor (void)
| Default constructor. More...
| ~ACE_ATM_Acceptor ()
| ACE_ATM_Acceptor (const ACE_Addr &remote_sap, int backlog=ACE_DEFAULT_BACKLOG, ACE_ATM_Params params=ACE_ATM_Params())
| Initiate a passive mode connection. More...
ACE_HANDLE | open (const ACE_Addr &remote_sap, int backlog=ACE_DEFAULT_BACKLOG, ACE_ATM_Params params=ACE_ATM_Params())
| Initiate a passive mode socket. More...
int | close (void)
| Close down the acceptor and release resources. More...
int | accept (ACE_ATM_Stream &new_sap, ACE_Addr *remote_addr=0, ACE_Time_Value *timeout=0, int restart=1, int reset_new_handle=0, ACE_ATM_Params params=ACE_ATM_Params(), ACE_ATM_QoS qos=ACE_ATM_QoS())
int | get_local_addr (ACE_ATM_Addr &local_addr)
| Get the local address currently listening on. More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Private Attributes
ATM_Acceptor | acceptor_

## Detailed Description

Defines the member functions for ACE_ATM_Acceptor abstraction.

This class wraps up the ACE_SOCK_Acceptor and ACE_TLI_Acceptor to make the mechanism for the ATM protocol transparent.

## Member Typedef Documentation

typedef ACE_ATM_Addr ACE_ATM_Acceptor::PEER_ADDR

typedef ACE_ATM_Stream ACE_ATM_Acceptor::PEER_STREAM

## Constructor & Destructor Documentation

ACE_ATM_Acceptor::ACE_ATM_Acceptor | ( | void |  | ) |

| Default constructor.

ACE_ATM_Acceptor::~ACE_ATM_Acceptor | ( | void |  | ) |

ACE_INLINE ACE_ATM_Acceptor::ACE_ATM_Acceptor | ( | const ACE_Addr & | remote_sap,
|  | int | backlog = ACE_DEFAULT_BACKLOG,
|  | ACE_ATM_Params | params = ACE_ATM_Params()
| ) |

| Initiate a passive mode connection.

## Member Function Documentation

int ACE_ATM_Acceptor::accept | ( | ACE_ATM_Stream & | new_sap,
|  | ACE_Addr * | remote_addr = 0,
|  | ACE_Time_Value * | timeout = 0,
|  | int | restart = 1,
|  | int | reset_new_handle = 0,
|  | ACE_ATM_Params | params = ACE_ATM_Params(),
|  | ACE_ATM_QoS | qos = ACE_ATM_QoS()
| ) |

ACE_INLINE int ACE_ATM_Acceptor::close | ( | void |  | ) |

| Close down the acceptor and release resources.

void ACE_ATM_Acceptor::dump | ( | void |  | ) | const

| Dump the state of an object.

int ACE_ATM_Acceptor::get_local_addr | ( | ACE_ATM_Addr & | local_addr | ) |

| Get the local address currently listening on.

ACE_HANDLE ACE_ATM_Acceptor::open | ( | const ACE_Addr & | remote_sap,
|  | int | backlog = ACE_DEFAULT_BACKLOG,
|  | ACE_ATM_Params | params = ACE_ATM_Params()
| ) |

| Initiate a passive mode socket.

## Member Data Documentation

ATM_Acceptor ACE_ATM_Acceptor::acceptor_`[private]`

ACE_ATM_Acceptor::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

The documentation for this class was generated from the following files:

- ATM_Acceptor.h
- ATM_Acceptor.cpp
- ATM_Acceptor.i